Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
[Java] Class TracingInterceptor

    java.lang.Object
      groovy.lang.TracingInterceptor

All Implemented Interfaces:
  Interceptor

    public class TracingInterceptor
    extends java.lang.Object

Field Summary
`protected java.io.Writer` | `writer`

Method Summary
`java.lang.Object` | `afterInvoke(java.lang.Object object, java.lang.String methodName, java.lang.Object[] arguments, java.lang.Object result)`
`java.lang.Object` | `beforeInvoke(java.lang.Object object, java.lang.String methodName, java.lang.Object[] arguments)`
`boolean` | `doInvoke()`
`java.io.Writer` | `getWriter()` Returns the writer associated with this interceptor.
`void` | `setWriter(java.io.Writer writer)` Changes the writer associated with this interceptor.
`protected void` | `write(java.lang.Object object, java.lang.String methodName, java.lang.Object[] arguments, java.lang.String origin)`
`protected void` | `writeInfo(java.lang.Class aClass, java.lang.String methodName, java.lang.Object[] arguments)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### writer

    protected java.io.Writer writer

Method Detail

### afterInvoke

    public java.lang.Object afterInvoke(java.lang.Object object, java.lang.String methodName, java.lang.Object[] arguments, java.lang.Object result)

### beforeInvoke

    public java.lang.Object beforeInvoke(java.lang.Object object, java.lang.String methodName, java.lang.Object[] arguments)

### doInvoke

    public boolean doInvoke()

### getWriter

    public java.io.Writer getWriter()

  Returns the writer associated with this interceptor.

### setWriter

    public void setWriter(java.io.Writer writer)

  Changes the writer associated with this interceptor.

### write

    protected void write(java.lang.Object object, java.lang.String methodName, java.lang.Object[] arguments, java.lang.String origin)

### writeInfo

    protected void writeInfo(java.lang.Class aClass, java.lang.String methodName, java.lang.Object[] arguments)

Groovy Documentation